<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
 */

Route::redirect('/', config('myconfig.APP_URL') . '/login');
Route::prefix('login')->group(function () {
    Route::get('/', function () {
        return view('login');
    })->name('Login view request')->middleware('logged');
    Route::post('entra', 'Login@entra')->name('Login request')->middleware('logged');

});
Route::any('logout', 'Login@logout')->name('Logout request');
Route::prefix('Grabaciones')->group(function () {
    Route::get('/', function () {
        return view('main2');
    })->name('Recording view request')->middleware('notlogged');
    Route::post('list', 'Grabaciones@getRegistros')->name('Recording list request')->middleware('notlogged');
    Route::post('getDetails', 'Grabaciones@getDetails')->name('Recording details request')->middleware('notlogged');
    Route::get('downloadReport', 'Grabaciones@getReport')->name('Download report request')->middleware('notlogged');
});
Route::prefix('Usuarios')->group(function () {
    Route::get('/', function () {
        return view('welcome');
    })->name('Users view request')->middleware('notlogged');
    Route::post('list', 'Usuarios@getUsers')->name('Users list request')->middleware('notlogged');
    Route::post('retrieve/{id}', 'Usuarios@retrieveUser')->name('Users retrieve request')->middleware('notlogged');
    Route::post('change', 'Usuarios@editUser')->name('Users change request')->middleware('notlogged');
    Route::post('create', 'Usuarios@createUser')->name('Users create request')->middleware('notlogged');
    Route::post('delete/{id}', 'Usuarios@deleteUser')->name('Users delete request')->middleware('notlogged');
});
Route::prefix('status')->group(function () {
    Route::get('/', function () {
        return view('welcome');
    })->name('status view request')->middleware('notlogged');
    Route::post('list', 'Status@list')->name('Status list request')->middleware('notlogged');
    Route::post('assoc', 'Status@assoc')->name('Status assoc request')->middleware('notlogged');
    Route::post('create', 'Status@create')->name('Status create request')->middleware('notlogged');
    Route::post('change', 'Status@update')->name('Status change request')->middleware('notlogged');
    Route::post('select', 'Status@getSelect')->name('Status select request')->middleware('notlogged');
    Route::post('delete/{id}', 'Status@delete')->name('Status delete request')->middleware('notlogged');
});
Route::prefix('comments')->group(function () {
    Route::get('/', function () {
        return view('welcome');
    })->name('status view request')->middleware('notlogged');
    Route::post('assoc', 'Comentarios@assoc')->name('comments assoc request')->middleware('notlogged');
});
Route::get('/reproduce/{id}', 'reproducirArchivos@reproducir')->name('PlayFile request')->middleware('notlogged');
Route::get('/descarga/{id}', 'descargaArchivos@download')->name('Download request')->middleware('notlogged');
Route::post('/reproduceW', 'descargaArchivos@reproduceW')->name('reproduceW')->middleware('notlogged');
Route::get('/descargaVarios', 'descargaArchivos@downloadFiles')->name('Downloads request')->middleware('notlogged');
Route::get('/reporteRepro', 'Reportes@downloadListenUsers')->name('Download report play request')->middleware('notlogged');
Route::post('/getCampaigns', 'dashboard@getCampaignsByClient')->name('Campaigns list request')->middleware('notlogged');
Route::post('/getUsers', 'dashboard@getUsersByClient')->name('Users list request')->middleware('notlogged');
Route::post('/getStatuses', 'dashboard@getStatusesByClient')->name('Statuses list request')->middleware('notlogged');
Route::post('/getLists', 'dashboard@getListsByClient')->name('Lists list request')->middleware('notlogged');
Route::post('/eliminar/{id}', 'eliminarArchivos@eliminar')->name('Delete request')->middleware('notlogged');
Route::post('/eliminarVarios', 'eliminarArchivos@eliminarVarios')->name('Deletes request')->middleware('notlogged');
Route::post('/generaGraficas', 'graficasLlamadas@getRegistros')->name('Generate Graphs')->middleware('notlogged');
Route::prefix('logs')->group(function () {
    Route::get('/', function () {
        return view('welcome');
    })->name('Logs view request')->middleware('notlogged');
    Route::post('/list', 'Logs@getLogs')->name('Logs list Request')->middleware('notlogged');
});
